/*ident	"@(#)cls4:incl-master/proto-headers/tiuser.h	1.1" */

#ifndef __TIUSER_H
#define __TIUSER_H

 

#ifdef __cplusplus
/* (MRL) I don't know if these functions are available - the prototypes
	come from USL proto-headers */

extern "C" {
	int t_accept(int, int, struct t_call *);
	char *t_alloc(int, int, int);
	int t_bind(int, struct t_bind *, struct t_bind *);
	int t_close(int);
	int t_connect(int, struct t_call *, struct t_call *);
	void t_error(char *);
	int t_free(char *, int);
	int t_getinfo(int, struct t_info *);
	int t_getstate(int);
	int t_listen(int, struct t_call *);
	int t_look(int);
	int t_open(char *, int, struct t_info *);
	int t_optmgmt(int, struct t_optmgmt *, struct t_optmgmt *);
	int t_rcv(int, char *, unsigned, int *);
	int t_rcvconnect(int, struct t_call *);
	int t_rcvdis(int, struct t_discon *);
	int t_rcvrel(int);
	int t_rcvudata(int, struct t_unitdata *, int *);
	int t_rcvuderr(int, struct t_uderr *);
	int t_snd(int, char *, unsigned, int);
	int t_snddis(int, struct t_call *);
	int t_sndrel(int);
	int t_sndudata(int, struct t_unitdata *);
	int t_sync(int);
	int t_unbind(int);
}
#endif

#endif
